class DataArray
{

// members
int numCols;					// number of sets of data
int numRows;					// number of data elements in each set (vector)
int numAllocatedVectors;		// Allocate 10 sets of data to reduce amount of swapping, etc. 
int numAllocated;				// total allocated array elements (numRows * numAllocatedVectors)

dataVector Vector;

declare DataArray;
declare _DataArray();

declare SetNumCols( int n );
declare SetNumRows( int n );

declare GetNumCols(), int;
declare GetNumRows(), int;

declare AddCol();
declare AddRow();

declare SetProp( int n, int j, double value );
declare GetProp( int n, int j ), double;

declare PrintVector( int n, string linetext, int numdecimals, int spacing, unsigned int printflag );
//declare PrintDataArray( string title, string subtitle, string linetext, int numdecimals, int spacing, unsigned int printflag )

declare CopyArray( DataArray temp );

declare CopyVector( int n, int j, DataArray temp );
declare CopyColumn( int n, int j, DataArray temp );

declare CopyRow( int n, int i, DataArray temp );

}